org.apache.ignite.internal.processors.cache

## Class TxOwnerDumpRequestAllowedSettingClosure

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.TxOwnerDumpRequestAllowedSettingClosure

All Implemented Interfaces:
  Serializable, Runnable, IgniteRunnable

    public class TxOwnerDumpRequestAllowedSettingClosure
    extends Object
    implements IgniteRunnable

Closure that is sent on all server nodes in order to change transaction configuration parameter that allows or disallows dump requests from local to near nodes while detection long running transactions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TxOwnerDumpRequestAllowedSettingClosure(boolean allowed)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TxOwnerDumpRequestAllowedSettingClosure

    public TxOwnerDumpRequestAllowedSettingClosure(boolean allowed)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020